export NGINX_CONFIG_VERSION=v1
export APP_ENTRYPOINT_VERSION=v1

sub_npm() {
  export NODE_CONFIG_DIR=/app/config
  export NODE_ENV=production
  export PEERTUBE_DB_PASSWORD=$(cat /run/secrets/db_password)

  # shellcheck disable=SC2034
  abra__service_="app"

  sub_app_run npm run "$@"
}

sub_prune() {
    info "Pruning storage"
    info "See https://docs.joinpeertube.org/maintain-tools?id=prune-storagejs for more"
    silence

    sub_npm "prune-storage"

    unsilence
    success "Storage pruned!"
}
